|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QShowEvent Class Reference
[QtGui module]

The QShowEvent class provides an event that is sent when a widget is shown. More...

     #include <QShowEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QShowEvent ()

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QShowEvent class provides an event that is sent when a widget is shown.

There are two kinds of show events: show events caused by the window system (spontaneous), and internal show events. Spontaneous show events are sent just after the window system shows the window; they are also sent when a top-level window is redisplayed after being iconified. Internal show events are delivered just before the widget becomes visible.

See also QHideEvent.

## Member Function Documentation

### QShowEvent::QShowEvent ()

Constructs a QShowEvent.